package com.qqchen.deploy.backend.framework.annotation.formily;

import java.lang.annotation.*;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface FormilyForm {
    /**
     * 表单名称
     */
    String name();

    /**
     * 表单描述
     */
    String description() default "";

    /**
     * Schema版本号
     */
    String version() default "2.0";

    /**
     * 是否在遇到第一个错误时立即停止验证
     */
    boolean validateFirst() default true;

    /**
     * 标签列宽度
     */
    int labelCol() default 6;

    /**
     * 内容列宽度
     */
    int wrapperCol() default 18;
} 